Bug 123070 - Oops on shutdown with kernel-2.6.5-1.358.i686.rpm
Oops on shutdown with kernel-2.6.5-1.358.i686.rpm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 20:04 EDT by R.K.Aa.
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
various info (21.85 KB, text/plain)
2004-05-11 20:07 EDT, R.K.Aa.
no flags Details

  None (edit)
Description R.K.Aa. 2004-05-11 20:04:31 EDT
toyed around for many hours (~10) - Then I quit X, and issued 
"shutdown -h now" from runlevel 3. Kernel Oops'ed.
Attaching various info.
Comment 1 R.K.Aa. 2004-05-11 20:07:23 EDT
Created attachment 100168 [details]
various info

output of /var/log/messages
lspci -n
lspci -vvv
dmesg
Comment 2 Arjan van de Ven 2004-05-12 02:54:35 EDT
Please try to reproduce without the nvidia binary only kernel module
linked into the kernel.

*** This bug has been marked as a duplicate of 73733 ***
Comment 3 R.K.Aa. 2004-05-14 13:52:33 EDT
I explicitly told that this happens from runlevel 3 to avoid confusing
you with the nvidia module. And it happens without the nvidia binary
only kernel module as well. I get thousands of "vt: argh, driver_data
is NULL !" before it gives up doing anything more. I rather thought
this might have to do with
http://www.uwsg.iu.edu/hypermail/linux/kernel/0402.1/0409.html

Why do you mean it could be nvidia related?
Comment 4 R.K.Aa. 2004-05-17 19:43:30 EDT
i see this race condition on and off, in particular after longer
sessions. But i wonder if there might be a workaround:
I have not yet seen it happen if I first "exit" console as my own
user, then log in as root, and run "/sbin/shutdown -h now" from there,
instead. (instead of from after a "su" which i usually do)
Comment 5 Dave Jones 2004-11-27 15:21:33 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 6 Donny Callego 2005-01-12 14:22:19 EST
This is still an issue under FC3, and I've updated the kernel to 2.6.10.

I initially tried to manually patch the 2.6.10 kernel to include the
patch detailed in:

http://www.uwsg.iu.edu/hypermail/linux/kernel/0402.1/0409.html

but I noticed the patch was already committed to the kernel.  

One way I've been able to recreate the issue is by automatically
logging in as root (runlevel 3 is the default) then doing a
shutdown/reboot.  *** Take note I did this for a system booting with
NFS root so I could modify the filesystem from the NFS server.  You
won't be able to boot into your system if you make the mods on a live
drive.  You've been warned!

# modify /etc/inittab

1:2345:respawn:/sbin/mingetty --autologin root tty1

# at the end of /root/.bashrc do a shutdown

/sbin/shutdown -r now
Comment 7 Dave Jones 2005-04-16 00:23:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.